stages:
    - unit_test
    - deploy

unit_test:
    image: node:lts
    stage: unit_test
    script:
        - npm install
#        - npm run test:unit

deploy:
    image: ruby:latest
    stage: deploy
    before_script:
        - gem install dpl
    script:
        - dpl --provider=heroku --app=$HEROKU_APP_NAME --api-key=$HEROKU_API_KEY
    only:
        - master
